Subject: Re: [bug#37269] Acknowledgement ([PATCH] build-system/asdf: Add option to compress programs.)

From: Ludovic Courtès <[email-masked]>
Date: Thu, 05 Sep 2019 10:33:56 +0200

Pierre Neidhardt <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Compressed files are opaque to the garbage collector scanner and to
>> grafting, so we could end up in situations like:
>>
>>   https://issues.guix.gnu.org/issue/33848
>>
>> (Which would be nice to address, BTW! :-))
>>
>> Thus, I think we’ll have keep compression turned off.
>
> Actually, in this case it doesn't.  I tried with Next and the resulting
> package keeps all references to the Common Lisp libraries.
> I believe that SBCL only compresses the image, not the sources (which are
> embedded as well).

OK.  We’d need to see exactly what it does if we decide to enable
it—better safe than sorry!

Thanks,
Ludo’.